# Update a document

Update records of a created document object

Endpoint: PATCH /documents/{document_id}
Version: 1.0
Security: API-Key

## Path parameters:

  - `document_id` (string, required)
    A unique identifier of a document, that is assigned by our system after a document object was created with a “Create a document” request
    Example: "5f9aeb5e1f25e2441d182f56b6dcbfac12dd"

## Request fields (application/json):

  - `type` (string)
    A type of a document object
    Enum: "ADDRESS_DOCUMENT", "AUTHORISED_PERSON", "BANK_STATEMENT", "COMPANY_LEGAL_ADDRESS", "COMPANY_OWNERSHIP", "CREDIT_CARD", "DOMESTIC_PASSPORT", "DRIVERS_LICENSE", "FINANCIAL_DOCUMENT", "FOREIGN_CITIZEN_PASSPORT", "GOVERNMENT_ID", "PASSPORT", "PERMANENT_RESIDENCE_PERMIT", "REFUGEE_CARD", "REGISTRATION_COMPANY", "SELFIE_IMAGE", "SELFIE_WITH_CREDIT_CARD", "SELFIE_WITH_DOCUMENT", "TAX_ID_NUMBER", "VIDEO"

  - `document_number` (string,null)
    A number of a document

  - `additional_number` (string,null)
    An additional number located on a document (e.g. tax ID number located on an ID card)

  - `issue_date` (string,null)
    An issue date of a document in YYYY-MM-DD format

  - `expiry_date` (string,null)
    The date of document expiration, formatted according to ISO 8601

  - `issuing_authority` (string,null)
    A name of a govenment entity that issues official documents

  - `income_sources` (array)
    Category of a person or an entity earnings
    Enum: "SALARY", "DIVIDENDS", "SALE_PROPERTY", "SAVINGS", "DIVORCE_SETTLEMENTS", "INHERITANCE", "LOAN", "INVESTMENTS", "OTHER"

  - `annual_income` (string,null)
    An annual income group that categorizes persons or entities based on their total yearly income. There are four groups available:
- ANNUAL_INCOME_GROUP_1: less than 50,000 EUR
- ANNUAL_INCOME_GROUP_2: between 50,000 and 100,000 EUR
- ANNUAL_INCOME_GROUP_3: between 100,000 and 300,000 EUR
- ANNUAL_INCOME_GROUP_4: more than 300,000 EUR
    Enum: "ANNUAL_INCOME_GROUP_1", "ANNUAL_INCOME_GROUP_2", "ANNUAL_INCOME_GROUP_3", "ANNUAL_INCOME_GROUP_4", null

  - `transaction_amount` (number,null)
    An amount of a financial transaction

  - `transaction_currency` (string,null)
    An amount of a financial transaction. A three-letter currency code according to ISO 4217. Ticker symbols are also accepted (e.g. BTC, ETH, SOL)

  - `transaction_datetime` (string,null)
    A date and time of a financial transaction in YYYY-MM-DD HH:mm:ss format

  - `transaction_purpose` (string,null)
    A definition of an intended reason or objective for a financial transaction

  - `origin_funds` (string,null)
    A source of financial resources

  - `card_number` (string,null)
    A number of a credit card for payments

  - `account_number` (string,null)
    A bank account number (e.g. IBAN)

  - `front_side_id` (string,null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document

  - `back_side_id` (string,null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document

  - `other_side_1_id` (string,null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document

  - `other_side_2_id` (string,null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document

  - `other_side_3_id` (string,null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document

## Response 200 fields (application/json):

  - `document_id` (string)
    A unique identifier of a document, that is assigned by our system after a document object was created with a “Create a document” request

## Response 429 fields (application/json):

  - `type` (string)
    Example: "flow"

  - `errors` (array)

  - `errors.parameter` (string)
    Example: "limit_exceeded"

  - `errors.message` (string)
    Example: "Rate limit exceeded"

## Response 500 fields (application/json):

  - `type` (string)
    Example: "internal_server"

  - `errors` (array)


